Index: trunk/gsdl3/web/interfaces/default/transform/about.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/about.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/about.xsl	(revision 13505)
@@ -32,5 +32,5 @@
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:call-template>     
-    <div class="document"> 
+    <div id="content"> 
         <xsl:value-of select="displayItem[@name='description']" disable-output-escaping="yes"/>
         <xsl:apply-templates select="serviceList">
@@ -43,5 +43,4 @@
   <xsl:template match="serviceList">
     <xsl:param name="collName"/>
-    <div class="servicelist">
     <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.services')"/></h3>
     <xsl:choose>
@@ -55,7 +54,7 @@
     
     <xsl:if test="service">
-      	<xsl:for-each select="service">
-	<div class="serviceitem">
-           <xsl:variable name="action"><xsl:choose>
+     <ul id="servicelist">  	
+      <xsl:for-each select="service">
+	    <xsl:variable name="action"><xsl:choose>
 	      <xsl:when test="@type='query'">q</xsl:when>
 	      <xsl:when test="@type='browse'">b</xsl:when>
@@ -65,11 +64,10 @@
 	    </xsl:choose></xsl:variable>
 	   <xsl:if test="$action !='DO_NOT_DISPLAY'">
-	        <a class="servicelink" href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><xsl:value-of select="displayItem[@name='name']"/></a><span  class="leftspace"><xsl:value-of select="displayItem[@name='description']"/></span>
+	       <li><a href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/></li>
 	  </xsl:if>
-        </div>
-	</xsl:for-each>
+  	</xsl:for-each>
+      </ul> 
      </xsl:if> 
-    </div> 
- </xsl:template>
+  </xsl:template>
 
 </xsl:stylesheet>  
Index: trunk/gsdl3/web/interfaces/default/transform/classifier.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/classifier.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/classifier.xsl	(revision 13505)
@@ -39,5 +39,5 @@
     </xsl:call-template>      
  
-    <div class="document">
+    <div id="content">
       <xsl:apply-templates select="service/classifierList">
         <xsl:with-param name="collName" select="$collName"/>
@@ -60,7 +60,7 @@
     <xsl:param name="serviceName"/>
     <xsl:variable name="selected" select="/page/pageResponse/classifier/@name"/>
-   <div class="classifierlist">
+   <ul id="classifierlist">
 	<xsl:for-each select="classifier">
-         <div class="classifieritem">
+         <li>
 	  <xsl:choose>
 	    <xsl:when test="@name=$selected">
@@ -68,8 +68,8 @@
 	    </xsl:when>
 	    <xsl:otherwise>
-	      <a class="classifierlink" href="{$library_name}?a=b&amp;rt=r&amp;s={$serviceName}&amp;c={$collName}&amp;cl={@name}"><xsl:value-of select="displayItem[@name='name']"/></a></xsl:otherwise></xsl:choose>
-         </div>
+	      <a href="{$library_name}?a=b&amp;rt=r&amp;s={$serviceName}&amp;c={$collName}&amp;cl={@name}"><xsl:value-of select="displayItem[@name='name']"/></a></xsl:otherwise></xsl:choose>
+         </li>
  	</xsl:for-each>
-    </div>
+    </ul>
    </xsl:template>
 
Index: trunk/gsdl3/web/interfaces/default/transform/classifiertools.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/classifiertools.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/classifiertools.xsl	(revision 13505)
@@ -10,5 +10,5 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <div class="classifiernodes">
+    <div id="classifiers">
     <xsl:variable name="cl_name"><xsl:value-of select="@name"/></xsl:variable>
     <xsl:choose>
@@ -35,27 +35,29 @@
     <xsl:choose>
       <xsl:when test="classifierNode">
-      <div align='left'>
+      <ul id="classifiernodelist-horizontal">
 	<xsl:for-each select='classifierNode'>
 	  <xsl:apply-templates select='.' mode="horizontal"><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='serviceName' select='$serviceName'/></xsl:apply-templates>
 	</xsl:for-each>
-	</div>
-	<table width='100%' >
-	  <tr valign='top'>
+	</ul>
+	<ul id="childrenlist">
+	  <li>
+            <table>
 	    <xsl:for-each select='classifierNode'>
 	      <xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='serviceName' select='$serviceName'/></xsl:apply-templates>
 	    </xsl:for-each>
-	  </tr>
-	</table>
+             </table>
+	  </li>
+	</ul>
 	</xsl:when>
       <xsl:otherwise>
 	<!-- there were no classifier nodes -->
-	<table width='100%'  >  
-	  <xsl:for-each select='documentNode'>
-	    <tr valign='top'><xsl:call-template name="documentNodeWrapper">
+	<ul id="childrenlist">
+          <xsl:for-each select='documentNode'>
+	    <li><table><xsl:call-template name="documentNodeWrapper">
 		<xsl:with-param name='collName' select='$collName'/>
 		<xsl:with-param name='serviceName' select='$serviceName'/>
-	      </xsl:call-template></tr>
+	      </xsl:call-template></table></li>
 	  </xsl:for-each>
-	</table>
+	</ul>
       </xsl:otherwise>
     </xsl:choose>
@@ -65,10 +67,10 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <table width='100%'>
+    <ul id="classifiernodelist">
       <xsl:call-template name="processNodeChildren">
 	<xsl:with-param name='collName' select='$collName'/>
 	<xsl:with-param name='serviceName' select='$serviceName'/>
       </xsl:call-template>
-    </table>
+    </ul>
   </xsl:template>
   
@@ -93,5 +95,5 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <td><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@nodeID}&amp;dt={@docType}&amp;p.a=b&amp;p.s={$serviceName}"><xsl:apply-templates select="." mode="displayNodeIcon"/></a></td><td align='left'><xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/></td>
+    <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@nodeID}&amp;dt={@docType}&amp;p.a=b&amp;p.s={$serviceName}"><xsl:apply-templates select="." mode="displayNodeIcon"/></a><xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
   </xsl:template>
 
@@ -102,5 +104,5 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <td width='30'><a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute><xsl:call-template name="bookshelfimg"/></a></td><td align='left'><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></td>
+      <a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute><xsl:call-template name="bookshelfimg"/></a><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
   </xsl:template>
   
@@ -109,9 +111,10 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <xsl:choose>
+    <li><xsl:choose>
       <xsl:when test="classifierNode|documentNode"><b><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/><xsl:text> </xsl:text></b></xsl:when>
       <xsl:otherwise>
 <a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/></xsl:attribute><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></a><xsl:text> </xsl:text></xsl:otherwise>
     </xsl:choose>
+    </li>
   </xsl:template>
   
@@ -121,13 +124,9 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <td>
-      <table>
-	<xsl:call-template name="processNodeChildren">
+      <xsl:call-template name="processNodeChildren">
 	  <xsl:with-param name='collName' select='$collName'/>
 	  <xsl:with-param name='serviceName' select='$serviceName'/>
-	</xsl:call-template>
-      </table>
-    </td>
-  </xsl:template>
+      </xsl:call-template>
+   </xsl:template>
   
   <xsl:template name="processNodeChildren">
@@ -136,26 +135,29 @@
     <xsl:for-each select='classifierNode|documentNode'>
       <xsl:choose><xsl:when test="name()='documentNode'">
-	  <tr valign='top'>
+	 <li><table>
 	    <xsl:call-template name="documentNodeWrapper">
 	      <xsl:with-param name='collName' select='$collName'/>
 	      <xsl:with-param name='serviceName' select='$serviceName'/>
 	    </xsl:call-template>
-	  </tr>
+             </table>
+	  </li>
 	</xsl:when>
 	<xsl:otherwise>
-	  <tr valign='top'>
+	  <li><table>
 	    <xsl:apply-templates select='.'>
 	      <xsl:with-param name='collName' select='$collName'/>
 	      <xsl:with-param name='serviceName' select='$serviceName'/>
 	    </xsl:apply-templates>
-	  </tr>
+             </table>
+	  </li>
 	  <xsl:if test="child::classifierNode or child::documentNode">
 	    <!--recurse into the children-->
-	    <tr valign='top'><td><xsl:text> </xsl:text></td>
+	    <li><ul class="childrenlist">
 	      <xsl:apply-templates select='.' mode='process-all-children'>
 		<xsl:with-param name='collName' select='$collName'/>
 		<xsl:with-param name='serviceName' select='$serviceName'/>
 	      </xsl:apply-templates>
-	    </tr>
+                </ul>
+	    </li>
 	  </xsl:if>
 	</xsl:otherwise>
Index: trunk/gsdl3/web/interfaces/default/transform/document.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/document.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/document.xsl	(revision 13505)
@@ -59,5 +59,5 @@
 
   <!-- display the document -->
-  <div class="document">
+  <div id="content">
     <xsl:apply-templates select="document">
       <xsl:with-param name="collName" select="$collName"/>
@@ -92,5 +92,5 @@
     <xsl:variable name="p.s" select="/page/pageRequest/paramList/param[@name='p.s']/@value"/>
     <xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
-   <div class="documentheading">
+   <div id="documentheading">
 	  <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$p.c}&amp;rt=rd"><xsl:call-template name="openbookimg"><xsl:with-param name="title">Close this book and return to search/browse</xsl:with-param>
 	  </xsl:call-template></a>
@@ -98,6 +98,6 @@
   </div>
   
-  <div class="documentinfo">
-       <div class="headingimage">
+  <div id="documentinfo">
+       <div id="headingimage">
           <xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
 	   <xsl:call-template name="coverImage"/> 
@@ -105,15 +105,15 @@
       </div>
      
-     <div class="docbuttons" >
+     <ul id="docbuttons" >
        <xsl:call-template name="documentButtons">
 	  <xsl:with-param name="collName" select="$collName"/>
        </xsl:call-template>
-     </div>
-    </div>
+     </ul>
+  </div>
     <!--<div><xsl:call-template name="enrichServices">
 	   <xsl:with-param name="collName" select="$collName"/>
 	  </xsl:call-template></div>-->
      <xsl:if test="string($doTOC) != 'false'">
-       <div class="toc">
+       <div id="toc">
 	 <xsl:call-template name="TOC">
 	   <xsl:with-param name="collName" select="$collName"/>
@@ -140,7 +140,6 @@
       
    <xsl:if test="@docType = 'hierarchy' or @docType = 'paged'">
-     <div class="docbutton">
-      <span class="docbutton">
-	  <xsl:choose><xsl:when test="string($ed)='1'">
+     <li>
+        <xsl:choose><xsl:when test="string($ed)='1'">
 	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_tip')"/></xsl:attribute>
 		  <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/>
@@ -153,13 +152,11 @@
 	    </xsl:otherwise>
 	  </xsl:choose>
-          </span>
-	</div>
+      	</li>
       </xsl:if> 
       
       <!-- expand contents -->
       <xsl:if test="@docType = 'hierarchy' and string(/page/pageResponse/format/gsf:option[@name='documentTOC']/@value) != 'false'">
-      <div class="docbutton">
-         <span class="docbutton">
-	  <xsl:choose><xsl:when test="string($ec)='1'">
+      <li>
+          <xsl:choose><xsl:when test="string($ec)='1'">
 	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_tip')"/></xsl:attribute>
 		<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/>	      </a>
@@ -171,15 +168,13 @@
 	    </xsl:otherwise>
 	  </xsl:choose>
-	  </span>
-	</div>
+	 </li>
       </xsl:if>
 
       <!-- detach page -->
       <xsl:variable name="paramList" select="/page/pageRequest/paramList"/>
-      <div class="docbutton">
-         <span class="docbutton">
+       <li>
 	  <a target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
 	    <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/>
-	  </a></span></div>
+	  </a></li>
       </xsl:template>
 
@@ -211,18 +206,19 @@
     <xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
     <xsl:if test="documentNode[@nodeID]">
-      <div class="tocnodes">
-	<div class="tocnode">
+      <ul id="tocnodes">
+	<li>
 	    <xsl:choose><xsl:when test="string($oc)='0'">
 		<a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=1"><xsl:call-template name="closedfolderimg"><xsl:with-param name="title">open the table of contents</xsl:with-param></xsl:call-template></a>
 	      </xsl:when>
-	      <xsl:otherwise><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=0"><xsl:call-template name="openfolderimg"><xsl:with-param name="title">close the table of contents</xsl:with-param></xsl:call-template></a></xsl:otherwise></xsl:choose>
-	  <span>Table of Contents</span>
+	      <xsl:otherwise><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=0"><xsl:call-template name="openfolderimg"><xsl:with-param name="title">close the table of contents</xsl:with-param></xsl:call-template></a></xsl:otherwise></xsl:choose>Table of Contents
 	<xsl:if test="string($oc)!='0'">
+           <ul class="tocnode">
 	    <xsl:for-each select="documentNode/documentNode[@nodeID]">
 		  <xsl:apply-templates select='.'><xsl:with-param name="collName" select="$collName"/><xsl:with-param name="ec" select="$ec"/><xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/></xsl:apply-templates>
 		</xsl:for-each>
+            </ul>
 	   </xsl:if>
-        </div>
-      </div>
+        </li> 
+      </ul>
     </xsl:if>
   </xsl:template>
@@ -237,5 +233,5 @@
     <xsl:param name="p.c"/>
     <!-- Display the appropriate image, depending on the node type -->
-     <div class="tocnode">
+     <li>
 	<a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if>&amp;sib=1<xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if>&amp;p.a=<xsl:value-of select="$p.a"/>&amp;p.sa=<xsl:value-of select="$p.sa"/>&amp;p.s=<xsl:value-of select="$p.s"/>&amp;p.c=<xsl:value-of select="$p.c"/></xsl:attribute>
 	  <xsl:apply-templates select="." mode="displayNodeIcon"/>
@@ -243,5 +239,4 @@
       
       <!-- Display associated title, bolded if the node has content -->
-      <span>
 	<xsl:choose>
 	  <xsl:when test="nodeContent">
@@ -252,8 +247,7 @@
 	  </xsl:otherwise>
 	</xsl:choose>
-      </span>
     <!-- Apply recursively to the children of this node -->
     <xsl:if test="documentNode[@nodeID]">
-       <xsl:apply-templates select="documentNode[@nodeID]">
+       <ul class="tocnode"> <xsl:apply-templates select="documentNode[@nodeID]">
 	      <xsl:with-param name="collName" select="$collName"/>
 	      <xsl:with-param name="ec" select="$ec"/>
@@ -261,6 +255,7 @@
 	      <!--<xsl:with-param name="depth" select="$depth + 1"/>-->
 	    </xsl:apply-templates>
+       </ul>
      </xsl:if>
-    </div>
+    </li>
   </xsl:template>
   
Index: trunk/gsdl3/web/interfaces/default/transform/home.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/home.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/home.xsl	(revision 13505)
@@ -28,9 +28,10 @@
 
   <xsl:template match="collectionList">
-   <div class="collectionlist">
+   <ul id="collectionlist">
     <xsl:for-each select="collection"> 
-      <div class="collectionitem">
+      <li>
       <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">
-	  <img width="150" border="1">
+          
+	   <img>
 	    <xsl:attribute name="src">
 	      <xsl:value-of select="metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="displayItem[@name='icon']"/>
@@ -40,8 +41,8 @@
 	    </xsl:attribute>
 	  </img>
-	</a>
-	</div>
+          </a>
+       </li>
     </xsl:for-each> 
-   </div>
+   </ul>
   </xsl:template> 
   
@@ -67,11 +68,9 @@
   <xsl:template match="serviceList">
     <xsl:call-template name="dividerBar"/>
-    <div class="servicelist">
+    <ul id="servicelist">
     <xsl:for-each select="service[@type='query']">
-      <div class="serviceitem"> 
-	<a class="servicelink" href="{$library_name}?a=q&amp;rt=d&amp;s={@name}"><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/>
-        </div>
+      <li><a href="{$library_name}?a=q&amp;rt=d&amp;s={@name}"><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/></li>
       </xsl:for-each>
-    </div>
+    </ul>
     </xsl:template>
 </xsl:stylesheet>  
Index: trunk/gsdl3/web/interfaces/default/transform/pref.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/pref.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/pref.xsl	(revision 13505)
@@ -30,5 +30,5 @@
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:call-template>      
-    <div class="qureyform">
+    <div id="qureyform">
     <form name="PrefForm" method="get" action="{$library_name}">
       <input type='hidden' name='a' value='p'/>
@@ -36,8 +36,8 @@
       <input type='hidden' name='c' value="{$collName}"/>
       <div class="formheading"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.prespref')"/></div>
-      <div class="presprefs"><xsl:call-template name="pres-prefs"/></div>
-      <div class="berrybasketprefs" ><xsl:call-template name="berrybasket-prefs"/></div>
+      <ul id="presprefs"><xsl:call-template name="pres-prefs"/></ul>
+      <ul id="berrybasketprefs" ><xsl:call-template name="berrybasket-prefs"/></ul>
       <div class="formheading"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.searchpref')"/></div>
-      <div class="searchprefs"><xsl:call-template name="search-prefs"/></div>
+      <ul id="searchprefs"><xsl:call-template name="search-prefs"/></ul>
       <input type='submit'><xsl:attribute name="value"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.set_prefs')"/></xsl:attribute></input>
        </form>
@@ -46,6 +46,6 @@
   
   <xsl:template name="pres-prefs">
-    <div><span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.interfacelang')"/></span><xsl:call-template name="lang-list"/></div>
-      <div><span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.encoding')"/></span>x</div>
+     <li><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.interfacelang')"/> <xsl:call-template name="lang-list"/></li>
+      <li><span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.encoding')"/></span>x</li>
     </xsl:template>
  
@@ -61,5 +61,5 @@
   <xsl:template name="search-prefs">
     <xsl:variable name="hits"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hitsPerPage']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hitsPerPage']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable> 
-    <span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.hitsperpage')"/></span>
+    <li><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.hitsperpage')"/> 
           <select name="hitsPerPage">
 	    <option value="20"><xsl:if test="$hits=20"><xsl:attribute name="selected"></xsl:attribute></xsl:if>20</option> 
@@ -68,4 +68,5 @@
 	    <option value="-1"><xsl:if test="$hits=-1"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.all')"/></option>
 	  </select>
+    </li>
   </xsl:template>
 
@@ -73,9 +74,9 @@
       <xsl:variable name="berrybasket"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='berrybasket']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:when><xsl:otherwise>off</xsl:otherwise></xsl:choose></xsl:variable>
      
-    <span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket')"/></span><select name="berrybasket">
+    <li><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket')"/> <select name="berrybasket">
         <option value="on"><xsl:if test="$berrybasket='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.on')"/></option> 
 	<option value="off"><xsl:if test="$berrybasket='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.off')"/></option>
       </select>
-   
+    </li>
   </xsl:template>
 
Index: trunk/gsdl3/web/interfaces/default/transform/query.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/query.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/query.xsl	(revision 13505)
@@ -39,5 +39,5 @@
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:call-template> 
-    <div class="document">
+    <div id="content">
     <xsl:apply-templates select="service">
       <xsl:with-param name="collName" select="$collName"/>
@@ -89,5 +89,5 @@
     <xsl:param name="collName"/>
     <xsl:variable name="subaction" select="../pageRequest/@subaction"/>
-    <div class="queryform">
+    <div id="queryform">
     <form name="QueryForm" method="get" action="{$library_name}">
       <input type="hidden" name="a" value="q"/>
Index: trunk/gsdl3/web/interfaces/default/transform/querytools.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/querytools.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/querytools.xsl	(revision 13505)
@@ -75,5 +75,5 @@
   <xsl:template name="matchDocs">
     <!-- If the number of matching documents is known, display it -->
-    <div class="matchdocs">
+    <div id="matchdocs">
     <xsl:variable name="numDocsMatched" select="metadataList/metadata[@name='numDocsMatched']"/>
     <xsl:variable name="numDocsReturned" select="metadataList/metadata[@name='numDocsReturned']"/>
@@ -99,14 +99,15 @@
   <xsl:template name="resultList">
      <xsl:param name="collName"/>
-    <table class="resultlist"> 
+    <ul id="resultlist"> 
      <xsl:for-each select="documentNodeList/documentNode">
-	<tr class="resultitem">
+	<li><table>
 	  <xsl:call-template name="documentNodeWrapper">
 	    <xsl:with-param name="collName" select="$collName"/>
 	    <xsl:with-param name="serviceName" select="/page/pageResponse/service/@name"/>
 	  </xsl:call-template>
-	</tr>	    
+            </table>
+	</li>	    
       </xsl:for-each>  
-    </table>
+    </ul>
   </xsl:template>
   
Index: trunk/gsdl3/web/interfaces/default/transform/service-params.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/service-params.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/service-params.xsl	(revision 13505)
@@ -11,17 +11,17 @@
   <xsl:template match="paramList">
     <xsl:param name="ns">s1.</xsl:param>
-    <div class="queryitemlist">
+    <ul id="queryitemlist">
       <xsl:for-each select="param">
 	<xsl:choose>
 	  <xsl:when test="@type='multi'">
-	    <div class="queryfieldlist"><xsl:apply-templates select='.'><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></div>
+	    <li><xsl:apply-templates select='.'><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></li>
 	  </xsl:when>
 	  <xsl:otherwise>
 	    <xsl:variable name="pvalue"><xsl:apply-templates select="." mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
-	      <div class="queryitem"><span class="queryitemname"><xsl:value-of select="displayItem[@name='name']"/></span><span class ="queryitemvalues"><xsl:apply-templates select="."><xsl:with-param name="default" select="$pvalue"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></span></div>
+	      <li><xsl:value-of select="displayItem[@name='name']"/><xsl:apply-templates select="."><xsl:with-param name="default" select="$pvalue"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></li>
 	  </xsl:otherwise>
 	</xsl:choose>
       </xsl:for-each>
-    </div>
+    </ul>
   </xsl:template>
  
Index: trunk/gsdl3/web/interfaces/default/transform/style.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/style.xsl	(revision 13381)
+++ trunk/gsdl3/web/interfaces/default/transform/style.xsl	(revision 13505)
@@ -20,6 +20,6 @@
      	 <xsl:call-template name="pageHead"/>
 	 
-   <body class="bgimage">
-      <div id="page">
+   <body>
+      <div id="globalwrapper">
 	  <xsl:apply-templates select="pageResponse"/>
 		  <xsl:if test="descendant::error">
@@ -73,11 +73,10 @@
   <xsl:template name="greenstonePageBanner">
     <div id="banner">
-        <div class="collectimage">
+        <p>
             <img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:attribute>
             </img>
-	  </div>
-      </div>
-      <div class="bannerextra"></div>
-      <div id="content">
+	</p>
+    </div>
+    <div id="content">
 	<xsl:call-template name="dividerBar">
             <xsl:with-param name="text" select="'select a collection'"/> 
@@ -87,6 +86,9 @@
 
   <xsl:template name="greenstoneFooter">
-      <div class="divbar"><p class="navbar"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/></p>
-    </div>
+      <div id="footer">
+         <xsl:call-template name="dividerBar">
+            <xsl:with-param name="text" select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/> 
+        </xsl:call-template>
+      </div>
   </xsl:template>
   
@@ -99,6 +101,6 @@
     <xsl:param name="pageType"/>
     <xsl:variable name="this-element" select="/page/pageResponse/collection|/page/pageResponse/serviceCluster"/>
-    <div  id="bannar">    
-     <div class="collectimage">
+    <div  id="banner">    
+     <p>
 	  <a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
 	    <xsl:choose>
@@ -117,49 +119,44 @@
 	      </xsl:when>
 	      <xsl:otherwise>
-		<b><xsl:value-of select="$this-element/displayItem[@name='name']"/></b>
+		<xsl:value-of select="$this-element/displayItem[@name='name']"/>
 	      </xsl:otherwise>
 	    </xsl:choose>
 	  </a>
-	</div>
-
-        <div class="pageinfo"> 
+	</p>
+        <ul id="bannerlist"> 
 	  <xsl:call-template name="top-buttons">
 	    <xsl:with-param name="collName" select="$collName"/>
 	    <xsl:with-param name="pageType" select="$pageType"/>
 	  </xsl:call-template>
-       </div>
+       </ul>
     </div>
-    <div class="bannerextra"></div>
-  </xsl:template>
+   </xsl:template>
   
   <xsl:template name="top-buttons">
     <xsl:param name="collName"/>
     <xsl:param name="pageType"/>
-     <p class="bannerlinks">
-      	  <a class="navlink" href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
+    	 <li><a  href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
 	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/>
-	  </a>
+	  </a></li>
 	<xsl:choose>
 	  <xsl:when test="$pageType='help'">
-	      <a class="navlink_sel"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></a>
+	      <li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></a></li>
 	  </xsl:when>
 	  <xsl:otherwise>
-	    <a class="navlink" href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
+	    <li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
 		<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
-	      </a>
+	      </a></li>
 	    </xsl:otherwise>
 	</xsl:choose>
 	<xsl:choose>
 	  <xsl:when test="$pageType='pref'">
-	     <a class="navlink_sel"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></a>
+	     <li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></a></li>
 	   </xsl:when>
 	  <xsl:otherwise>
-	    <a class="navlink" href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
+	    <li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
 		<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
-	      </a>
-	    
-	  </xsl:otherwise>
+	      </a></li>
+	    </xsl:otherwise>
 	</xsl:choose>
-      </p>
   </xsl:template>
 
@@ -169,7 +166,7 @@
     <xsl:variable name="this-service" select="/page/pageResponse/service/@name"/>
     <xsl:choose>
-     <xsl:when test="$this-element/serviceList/service">
-    <div class="navbar">
-        <p class="navbar">
+    <xsl:when test="$this-element/serviceList/service">
+    <div id="navbar">
+        <ul id="navbarlist">
 	    <xsl:for-each select="$this-element/serviceList/service">
 	      <xsl:variable name="action"><xsl:choose>
@@ -183,12 +180,12 @@
 	      <xsl:choose>
 		<xsl:when test="$action='CURRENT'">
-		  <a class="navlink_sel"><xsl:value-of select="displayItem[@name='name']"/></a>
+		  <li><a ><xsl:value-of select="displayItem[@name='name']"/></a></li>
 		</xsl:when>
 		<xsl:when test="$action !='DO_NOT_DISPLAY'">
-		  <a class="navlink" href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><xsl:if test="displayItem[@name='description']"><xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></a>
+		  <li><a href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><xsl:if test="displayItem[@name='description']"><xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></a></li>
 		</xsl:when>
 	      </xsl:choose>
 	    </xsl:for-each>
-           </p>
+           </ul>
 	 </div> 
       </xsl:when>
@@ -206,5 +203,5 @@
       <xsl:choose>
       <xsl:when test="$text">
-	 <div class="divbar"><p class="navbar"><xsl:value-of select="$text"/></p></div>
+	 <div class="divbar"><xsl:value-of select="$text"/></div>
       </xsl:when>
       <xsl:otherwise>
@@ -262,5 +259,5 @@
     <xsl:param name="alt"/>
     <xsl:param name="title"/>
-    <img class="displayicon" border="0" width="28" height="23"
+    <img  border="0" width="28" height="23"
       src="interfaces/default/images/openbook.gif"
       alt="{$alt}" title="{$title}"/>
@@ -270,5 +267,5 @@
     <xsl:param name="alt"/>
     <xsl:param name="title"/>
-    <img class="displayicon" border="0" width="18" height="11"
+    <img border="0" width="18" height="11"
       src="interfaces/default/images/book.gif"
       alt="{$alt}" title="{$title}"/>
@@ -278,5 +275,5 @@
     <xsl:param name="alt"/>
     <xsl:param name="title"/>
-    <img class="displayicon" border="0" width="23" height="15"
+    <img border="0" width="23" height="15"
       src="interfaces/default/images/openfldr.gif"
       alt="{$alt}" title="{$title}"/>
@@ -286,5 +283,5 @@
     <xsl:param name="alt"/>
     <xsl:param name="title"/>
-    <img class="displayicon" border="0" width="23" height="15"
+    <img  border="0" width="23" height="15"
       src="interfaces/default/images/clsdfldr.gif"
       alt="{$alt}" title="{$title}"/>
@@ -294,5 +291,5 @@
     <xsl:param name="alt"/>
     <xsl:param name="title"/>
-    <img class="displayicon" border="0" width="16" height="21"
+    <img  border="0" width="16" height="21"
       src="interfaces/default/images/itext.gif"
       alt="{$alt}" title="{$title}"/>
@@ -302,5 +299,5 @@
     <xsl:param name="alt"/>
     <xsl:param name="title"/>
-    <img class="displayicon" border="0" width="20" height="16"
+    <img  border="0" width="20" height="16"
       src="interfaces/default/images/bshelf.gif"  
       alt="{$alt}" title="{$title}"/>
